<?php
include_once('c_poll_session.php') ;
class c_page_cab_poll_session_log extends c_page_cab_poll_session
{
 public $h1='Карточка сеанса контроля знаний - лог процесса' ;

 function get_cur_page_meta_tags()
 {
   if ($this->rec_personal['pkey']) $this->h1='Лог проверки контроля знаний сотрудника '.$this->rec_personal['obj_name'] ;
 }

 function block_main()
 {  $this->page_title() ;
 	$fname=($this->rec_poll['mo_id'])?  _DIR_TO_ROOT.'/logs/mo_trace_'.$this->rec_poll['mo_id'].'.json':_DIR_TO_ROOT.'/logs/poll_trace_'.$this->rec_poll['pkey'].'.json' ;
    if (file_exists($fname)) LOG_JSON()->view($fname) ;
    else echo 'Лог опроса не найден<br>' ;

 }

}

?>
